index

Varkon MBS Programmers manual

# unique_filename - Function

## Description

Creates a filename that is guaranteed not to be in use.

## Syntax

      name:=unique_filename();

      string name;

## Principal parameters

None.

## Optional parameters

None.

## Return value

A STRING with a unique filename.

## Comments

Note that this function will continue to return the same filename until it is actually used to create a file. As long as the file exists the same name will not be returned again but it may be returned if the file is deleted.

Varkon version 1.19C svn# 120